Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
RArray Struct Reference

`#include <ruby.h>`

## Data Fields
struct RBasic | basic
union {
struct {
long RArray::len
union {
long RArray::capa
const VALUE RArray::shared_root
} RArray::aux
const VALUE * RArray::ptr
} RArray::heap
const VALUE RArray::ary [RARRAY_EMBED_LEN_MAX]
} | as

## Detailed Description

Definition at line 1048 of file ruby.h.

The documentation for this struct was generated from the following file:

- include/ruby/ruby.h